<div class="row">

    <div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 col-xl-3">
        <div class="card mb-3">
            <div class="card-body text-center">
                <img style="max-width:184px;" src="{member(getAvatar)}" alt="img" class="rounded-circle img-fluid">
                <br>
                <br>
                <span><h6>{member(getDisplayName)}</h6></span>
                <a class="_blank" href="#" data-toggle="modal" data-target="#quickActionsModel">Quick Actions</a>
                <br>
                <br>
                <h5>{member(getRank)}</h5>
            </div>
        </div>

        <div class="card mb-3">
            <div class="card-body text-center">
                <h5>Linked Accounts</h5>
                <hr/>
                {% for v in links %}
                <kbd>{v[icon]} <a href="{v[profile]}">{v[title]}</a></kbd>
                {% endfor %}
            </div>
        </div>
    </div>

    <div class="col-xs-3 col-sm-3 col-md-3 col-lg-3 col-xl-3">
        <div class="card mb-3">
            <div class="card-body text-center">
                <h3>Possible Alts</h3>
                <table class="table table-striped table-bordered table-responsive-xl table-hover table-sm display mb-0 flex-fill">
                    <tbody>
                    {% for v in alts %}
                        <tr>
                            <td><a href="{NM_URL}player.php?id={v[id]}" data-toggle="tooltip" data-placement="top" title="{v[likelihood]}% {v[triggers]}">{v[displayName]}</a></td>
                            <td style="width:30px;"><a href="{NM_URL}player.php?id={member(getId)}&merge={v[id]}" data-toggle="tooltip" data-placement="top" title="Force Merge Account"><span class="fa-solid fa-shuffle"></span></a></td>
                        </tr>
                    {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    <div class="col-xs-6 col-sm-6 col-md-6 col-lg-6 col-xl-6">
        <table id="realtime-table" class="table table-bordered table-responsive-xl display mb-0 w-100">
            <tr class="bg-dark text-white">
                <th><i class="fa-solid fa-list"></i> Real-Time Logs</th>
            </tr>
            <tr class="bg-white">
                <td style="padding:0px;">
                    <div id="realtime" style="overflow-y:auto; overflow-x: hidden; height: 250px;">
                        <!-- Data will be filled via SSE messages -->
                    </div>
                </td>
            </tr>
        </table>
    </div>

    <div class="col-xs-12 col-sm-6 col-md-4 col-lg-4 col-xl-4">
        <table id="notes-table" class="table table-bordered table-responsive-xl display mb-0 w-100">
            <tr class="bg-dark text-white">
                <th><i class="fa-solid fa-list"></i> Notes</th>
            </tr>
            <tr class="bg-white">
                <td style="padding:0px;">
                    <div id="notes" style="overflow-y:auto; overflow-x: hidden; height: 250px;">
                        <!-- Data will be filled via SSE messages -->
                    </div>
                </td>
            </tr>
        </table>
    </div>

    <div class="col-xs-12 col-sm-6 col-md-4 col-lg-4 col-xl-4">
        <table id="punishments-table" class="table table-bordered table-responsive-xl display mb-0 w-100">
            <tr class="bg-dark text-white">
                <th><i class="fa-solid fa-list"></i> Punishments</th>
            </tr>
            <tr class="bg-white">
                <td style="padding:0px;">
                    <div id="punishments" style="overflow-y:auto; overflow-x: hidden; height: 250px;">
                        <!-- Data will be filled via SSE messages -->
                    </div>
                </td>
            </tr>
        </table>
    </div>

</div>

<div class="row">

    <div class="col-xs-12 col-sm-6 col-md-4 col-lg-4 col-xl-4">
        <div class="card mb-3">
            <div class="card-header bg-dark text-white">
                <h3><i class="fa-solid fa-users"></i> Sessions <i>{sessionCount}</i></h3>
            </div>
            <div class="card-body p-0">
            <table class="table table-striped table-bordered table-responsive-xl table-hover table-sm display mb-0">
                    <thead>
                        <tr>
                            <th>Id</th>
                            <th>Session Length</th>
                            <th>Server</th>
                        </tr>
                    </thead>
                    <tbody id="sessions">
                        {% for session in sessions %}
                            <tr>
                                <td><a href="{NM_URL}logs.php?usid={session[id]}">{session[id]}</a></td>
                                <td>{session[length]}</td>
                                <td><a href="{NM_URL}server.php?id={session[sid]}">{session[server]}</a></td>
                            </tr>
                        {% endfor %}
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    <div class="col-xs-9 col-sm-9 col-md-4 col-lg-4 col-xl-4">
        <div class="card mb-3">
            <div class="card-header bg-dark text-white">
                <h3><i class="fa-solid fa-users"></i> Ranks</h3>
            </div>
            <div class="card-body p-0">
                <table class="table table-striped table-bordered table-responsive-xl table-hover table-sm display mb-0 flex-fill">
                    <thead>
                        <tr>
                            <th style="min-width:125px">Rank</th>
                            <th>Realm</th>
                            <th style="padding:0;width:30px;"></th>
                        </tr>
                    </thead>
                    <tbody id="ranks">
                    {% for rank in member(getRanks) %}
                        <tr>
                            <td>{rank[rank]}</td>
                            <td>{rank[realm]}</td>
                            <td style="padding:0"><a class="btn btn-danger btn-block" style="border-radius:0" href="{NM_URL}player.php?id={member(getId)}&action=removerank&rank={rank[rank]}&realm={rank[realm]}"><span aria-hidden="true">&times;</span></a></td>
                        </tr>
                    {% endfor %}
                    <tr>
                    <form class="input-group" style="padding:0px; position:relative;" data-toggle="validator" role="form" method="get" action="player.php">
                        <input type="hidden" name="id" value="{member(getId)}">
                        <input type="hidden" name="action" value="addrank">
                        <!--<td style="padding:0"><input type="text" name="rank" class="form-control" style="margin:0px;border-radius:0" placeholder="Rank"></td>-->
                        <td style="padding:0;"><select class="custom-select" name="rank">
                            {% for rank in networkmanager[rankManager](getRanks) %}
                            <option value="{rank(getRank)}">{rank(getDisplayName)}</option>
                            {% endfor %}
                        </select></td>
                        <!--<td style="padding:0"><input type="text" name="realm" class="form-control" style="margin:0px;border-radius:0" placeholder="Realm"></td>-->
                        <td style="padding:0"><select class="custom-select" name="realm" required="required">
                            {% for realm, title in networkmanager(getRealms) %}
                            <option value="{realm}">{title}</option>
                            {% endfor %}
                        </select></td>
                        <td style="padding:0"><button class="btn btn-info btn-block" style="border-radius:0" type="submit">Add</button></td>
                    </form>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

    <div class="col-xs-9 col-sm-9 col-md-4 col-lg-4 col-xl-4">
        <div class="card mb-3">
            <div class="card-header bg-dark text-white">
                <h3><i class="fa-solid fa-users"></i> Permissions</h3>
            </div>
            <div class="card-body p-0">
                <table class="table table-striped table-bordered table-responsive-xl table-hover table-sm display mb-0 flex-fill">
                    <thead>
                        <tr>
                            <th>Permission</th>
                            <th>Realm</th>
                            <th style="padding:0;width:30px;"></th>
                        </tr>
                    </thead>
                    <tbody id="perms">
                    {% for row in member[perms] %}
                        <tr>
                            <td>{row[perm]}</td>
                            <td>{row[realm]}</td>
                            <td style="padding:0"><a class="btn btn-danger btn-block" style="border-radius:0" href="{NM_URL}player.php?id={member(getId)}&action=removeperm&perm={row[perm]}&realm={row[realm]}"><span aria-hidden="true">&times;</span></a></td>
                        </tr>
                    {% endfor %}
                    <tr>
                        <form class="input-group" style="padding:0px; position:relative;" data-toggle="validator" role="form" method="get" action="player.php">
                            <input type="hidden" name="id" value="{member(getId)}">
                            <input type="hidden" name="action" value="addperm">
                            <td style="padding:0" class="autocomplete"><input type="text" name="perm" class="form-control permissions" autocomplete="off" style="margin:0px;border-radius:0" placeholder="Permission"></td>
                            <td style="padding:0"><select class="custom-select" name="realm" required="required">
                                {% for realm, title in networkmanager(getRealms) %}
                                <option value="{realm}">{title}</option>
                                {% endfor %}
                            </select></td>
                            <td style="padding:0"><button class="btn btn-info btn-block" style="border-radius:0" type="submit">Add</button></td>
                        </form>
                    </tr>
                    </tbody>
                </table>
            </div>
        </div>
    </div>

</div>
<!-- end row -->

<div class="row" style="padding-top:20px;">

    <div class="col-xs-12 col-sm-12 col-md-12 col-lg-12 col-xl-12">
        <div class="jumbotron" style="background-color:#ffffff;">
            <h1 class="display-4">Statistics</h1>
            <hr class="my-4">
            <div class="row">
                <div class="col-xs-12 col-sm-12 col-md-12 col-lg-6 col-xl-6">
                    <div class="card mb-3">
                        <div class="card-header bg-dark text-white">
                            <h3><i class="fa-solid fa-chart-line"></i> Top Servers by Sessions</h3>
                        </div>

                        <div class="card-body p-0">

                            <table id="Top" class="table table-striped table-bordered table-responsive-xl table-hover display mb-0">
                                <thead>
                                    <tr>
                                        <th style="width: 50px;">Ranking</th>
                                        <th>Server</th>
                                        <th>Sessions</th>
                                    </tr>
                                </thead>
                                <tbody>
                                {% for sid, sessions in stats[topServersBySessions] %}
                                    <tr>
                                        <td>{sid}</td>
                                        <td><a href="{NM_URL}server.php?id={sid}">{sid}</a></td>
                                        <td>{sessions}</td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>

                        </div>
                    </div><!-- end card-->
                </div>
                <div class="col-xs-12 col-sm-12 col-md-12 col-lg-6 col-xl-6">
                    <div class="card mb-3">
                        <div class="card-header bg-dark text-white">
                            <h3><i class="fa-solid fa-chart-line"></i> Top Servers by Play Time</h3>
                        </div>

                        <div class="card-body p-0">

                            <table id="Top" class="table table-striped table-bordered table-responsive-xl table-hover display mb-0">
                                <thead>
                                    <tr>
                                        <th style="width: 50px;">Ranking</th>
                                        <th>Server</th>
                                        <th>Play Time</th>
                                    </tr>
                                </thead>
                                <tbody>
                                {% for sid, time in stats[topServersByPlaytime] %}
                                    <tr>
                                        <td>{sid}</td>
                                        <td><a href="{NM_URL}server.php?id={sid}">{sid}</a></td>
                                        <td>{time}</td>
                                    </tr>
                                {% endfor %}
                                </tbody>
                            </table>

                        </div>
                    </div><!-- end card-->
                </div>
            </div>
        </div>
    </div>
</div>